{ pkgs }:

[
  ./modules/build/neovim.nix

  ./modules/vim/opts.nix
  ./modules/vim/keymap.nix
  ./modules/vim/augroup.nix

  ./modules/buffer.nix
  ./modules/filetype.nix
  ./modules/input.nix
  ./modules/plugin.nix
  ./modules/fn.nix

  ./modules/plugins/interface/colorizer.nix
  ./modules/plugins/interface/lualine.nix
  ./modules/plugins/language-server/lspconfig.nix
  ./modules/plugins/navigation/hop-nvim.nix
  ./modules/plugins/navigation/telescope.nix
  ./modules/plugins/navigation/nvim-tree.nix
  ./modules/plugins/snippet/luasnip.nix
  ./modules/plugins/snippet/snippy.nix
  ./modules/plugins/snippet/ultisnips.nix
  ./modules/plugins/snippet/vsnip.nix
  ./modules/plugins/style/neoformat.nix
  ./modules/plugins/style/nvim-treesitter.nix
  ./modules/plugins/theme/catppuccin.nix
  ./modules/plugins/gitsigns.nix
  ./modules/plugins/nvim-cmp.nix

  ##################################################
  (pkgs.path + "/nixos/modules/misc/assertions.nix")
]
